Subject: Lojban as a prolog interface ? (was: Re: lojban as a programming language)

From: Candide Kemmler <[email-masked]>
Date: Fri, 25 Jan 2002 14:14:43 +0100

Well, the subject says it all...

I don't know much about prolog, but I think it'd be usefull to have 
prolog parse sentences and store them in a facts database possibly using 
RDBMS persistence. The stored facts could then be used to infer answers 
to specific questions. This is very high level intuition at this stage, 
but I guess one could rather easily build useful systems to help people 
recall a good recipe with a number of constraints for example, or a 
friend's birthdate, or even be notified of external events if we provide 
some kind of interface to RSS streams, etc,...

As AFAIK prolog's syntax stems from the same principles as lojban, one 
could think of lojban as a /user interface/ to a prolog system rather 
than design a new programming language from scratch.

Candide